{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "686215f8",
   "metadata": {},
   "outputs": [],
   "source": [
    "from requests import get,post\n",
    "import time\n",
    "ip = \"http://band.hxzhxy.cn\"\n",
    "param = {\n",
    "    \"username\": \"zhongwei\",\n",
    "    \"password\": \"123456a\",\n",
    "    \"client_id\": \"client\",\n",
    "    \"grant_type\": \"password\",\n",
    "    \"client_secret\": \"123456\",\n",
    "}\n",
    "data = get(url=f\"http://band.hxzhxy.cn/oauth/token?username=zhongwei&password=123456a&client_id=client&grant_type=password&client_secret=123456\").json()\n",
    "token = data[\"access_token\"]\n",
    "header = {\n",
    "    \"content-type\": \"application/json\",\n",
    "    \"authorization\": f\"Bearer {token}\",\n",
    "}"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "6c8f3f16",
   "metadata": {},
   "outputs": [],
   "source": [
    "data = get(\"https://band.hxzhxy.cn/uc/student/pageInfo?teamId=19&gradeId=124&classId=472&type=0&pageSize=800&pageNumber=0&orderDirection=asc&access_token=44c9b105-c44f-46f0-b15f-ef27d3a9f8b2\").json()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "c4247407",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "{'id': 8560, 'stuNo': '2024240217', 'stuName': '黄蓉', 'sex': 1, 'classId': 472, 'gradeId': 124, 'seralNo': '3108630769', 'score': None, 'moralEducation': None, 'userName': '2024240217CDSPTSZX', 'teamId': 19, 'pid': None, 'phone': '19127277253', 'imgUrl': None, 'openid': None, 'boarder': 1, 'wxPhone': None, 'trust': None, 'userId': None, 'stature': None, 'weight': None, 'wxPhones': None, 'userIdse': None, 'payUserId': '25082116305901253284', 'payState': 3, 'teaChild': 0, 'openids': None, 'casId': None, 'board': None, 'chatOpenId': None, 'chatOpenIds': None, 'teamName': '成都市泡桐树中学', 'gradeName': '2025级', 'className': '临时班', 'sexName': '男', 'battery': None, 'steps': None, 'rank': None, 'roleName': None, 'sleepStart': None, 'sleepEnd': None, 'type': 0, 'setTime': None, 'status': None, 'userType': 1, 'sumLocation': None, 'arkName': None}\n",
      "{'id': 5109, 'stuNo': '847613', 'stuName': '曾笙', 'sex': 1, 'classId': 472, 'gradeId': 124, 'seralNo': '3722606215', 'score': None, 'moralEducation': None, 'userName': '847613CDSPTSZX', 'teamId': 19, 'pid': None, 'phone': None, 'imgUrl': None, 'openid': None, 'boarder': 2, 'wxPhone': '13980404619', 'trust': 0, 'userId': '879301079941156', 'stature': None, 'weight': None, 'wxPhones': None, 'userIdse': None, 'payUserId': None, 'payState': 0, 'teaChild': 0, 'openids': None, 'casId': None, 'board': None, 'chatOpenId': None, 'chatOpenIds': None, 'teamName': '成都市泡桐树中学', 'gradeName': '2025级', 'className': '临时班', 'sexName': '男', 'battery': None, 'steps': None, 'rank': None, 'roleName': None, 'sleepStart': None, 'sleepEnd': None, 'type': 2, 'setTime': None, 'status': None, 'userType': 1, 'sumLocation': None, 'arkName': None}\n"
     ]
    },
    {
     "ename": "",
     "evalue": "",
     "output_type": "error",
     "traceback": [
      "\u001b[1;31m在当前单元格或上一个单元格中执行代码时 Kernel 崩溃。\n",
      "\u001b[1;31m请查看单元格中的代码，以确定故障的可能原因。\n",
      "\u001b[1;31m单击<a href='https://aka.ms/vscodeJupyterKernelCrash'>此处</a>了解详细信息。\n",
      "\u001b[1;31m有关更多详细信息，请查看 Jupyter <a href='command:jupyter.viewOutput'>log</a>。"
     ]
    }
   ],
   "source": [
    "for item in data[\"data\"][\"content\"]:\n",
    "    if len(item[\"stuNo\"]) != 8:\n",
    "        print(item)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "27c6fbb4",
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "a00792e1",
   "metadata": {},
   "outputs": [],
   "source": [
    "teacher ='''何纹钡\n",
    "靳雨馨\n",
    "王菊\n",
    "杨蕊嘉\n",
    "胡馨月\n",
    "许悦\n",
    "李志灿\n",
    "许家睿\n",
    "马若晨\n",
    "马璐瑶\n",
    "张丽君\n",
    "方萍\n",
    "杨孟豪\n",
    "李慧琳\n",
    "王佳玉\n",
    "陈欢\n",
    "彭靖雯\n",
    "张星\n",
    "刘俊怡\n",
    "张析羽\n",
    "严玲\n",
    "邓佳琪\n",
    "桂金莎\n",
    "周志浩\n",
    "刘书恒\n",
    "廖欣然\n",
    "贾泞溶\n",
    "赵留宣\n",
    "白欣洁\n",
    "彭航\n",
    "杜蕊珊\n",
    "袁钰婷\n",
    "邓洁\n",
    "刘星月\n",
    "曾梓馨\n",
    "陈懿\n",
    "吴昌伟\n",
    "谢尊硕\n",
    "高佳瀚\n",
    "沈宵\n",
    "赵梓辰\n",
    "谢豪东\n",
    "郭艺\n",
    "吴程\n",
    "罗阳杰\n",
    "晋兆寅\n",
    "金芯蝶'''.split(\"\\n\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "a17c4080",
   "metadata": {},
   "outputs": [],
   "source": [
    "datas = get(\"https://band.hxzhxy.cn/uc/teacher/listPage?departId=0&type=0&teamId=19&pageSize=600&pageNumber=0&orderDirection=asc&date=1755933813190\",headers=header).json()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "cfd7dd36",
   "metadata": {},
   "outputs": [],
   "source": [
    "teaList = []\n",
    "for item in datas[\"data\"][\"content\"]:\n",
    "    if item[\"teaName\"] in teacher:\n",
    "        teaList.append(item)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "21e55ca9",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "35"
      ]
     },
     "execution_count": 5,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "len(teaList)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "id": "75cebeff",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "1 吴昌伟\n",
      "1 张丽君\n",
      "1 沈宵\n",
      "1 刘俊怡\n",
      "1 郭艺\n",
      "1 谢豪东\n",
      "1 张析羽\n",
      "1 杨蕊嘉\n",
      "1 王佳玉\n",
      "1 彭靖雯\n",
      "1 吴程\n",
      "1 张星\n",
      "1 靳雨馨\n",
      "1 曾梓馨\n",
      "1 严玲\n",
      "1 白欣洁\n",
      "1 袁钰婷\n",
      "1 赵留宣\n",
      "1 胡馨月\n",
      "1 赵梓辰\n",
      "1 金芯蝶\n",
      "1 高佳瀚\n",
      "1 谢尊硕\n",
      "1 晋兆寅\n",
      "1 邓佳琪\n",
      "1 罗阳杰\n",
      "1 马若晨\n",
      "1 方萍\n",
      "1 许悦\n",
      "1 李慧琳\n",
      "1 桂金莎\n",
      "1 何纹钡\n",
      "1 王菊\n",
      "1 邓洁\n",
      "1 陈懿\n"
     ]
    }
   ],
   "source": [
    "for item in teaList:\n",
    "    print(item[\"accountType\"],item[\"teaName\"])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "id": "feffb2ec",
   "metadata": {},
   "outputs": [],
   "source": [
    "for item in teaList:\n",
    "    if item[\"teaName\"] in teacher:\n",
    "        teacher.remove(item[\"teaName\"])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "id": "f1db04e3",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "['李志灿',\n",
       " '许家睿',\n",
       " '马璐瑶',\n",
       " '杨孟豪',\n",
       " '陈欢',\n",
       " '周志浩',\n",
       " '刘书恒',\n",
       " '廖欣然',\n",
       " '贾泞溶',\n",
       " '彭航',\n",
       " '杜蕊珊',\n",
       " '刘星月']"
      ]
     },
     "execution_count": 8,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "teacher"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "id": "4fb1ec3f",
   "metadata": {},
   "outputs": [],
   "source": [
    "for item in teaList:\n",
    "    teaId = item[\"id\"]\n",
    "    get(f\"https://band.hxzhxy.cn/uc/teacher/createTeacherUseName?teaId={teaId}&access_token={token}\")\n",
    "    # print(f\"https://band.hxzhxy.cn/uc/teacher/createTeacherUseName?teaId={teaId}&access_token={token}\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "id": "feb408f5",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "[{'id': 244,\n",
       "  'teaName': '吴昌伟',\n",
       "  'sex': 1,\n",
       "  'phone': '18780246153',\n",
       "  'type': 4,\n",
       "  'gradeId': 107,\n",
       "  'classId': None,\n",
       "  'userName': 'wuchangwei',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '1685491609',\n",
       "  'openid': None,\n",
       "  'teaNo': 'wuchangwei',\n",
       "  'wxPhone': '18780246153',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 7,\n",
       "  'power': '门卫安保,管理员',\n",
       "  'classTypeName': '体育',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': '2022级',\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '体育',\n",
       "  'departmentManagementDtoList': [{'id': 3971,\n",
       "    'departId': 472,\n",
       "    'teaId': 244,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 859,\n",
       "  'teaName': '张丽君',\n",
       "  'sex': 2,\n",
       "  'phone': '15182307134',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'hx_zhanglijun',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2973004487',\n",
       "  'openid': None,\n",
       "  'teaNo': 'hx_zhanglijun',\n",
       "  'wxPhone': '15182307134',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3932,\n",
       "    'departId': 466,\n",
       "    'teaId': 859,\n",
       "    'teamId': 19,\n",
       "    'jobId': 385,\n",
       "    'departName': '化学',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 870,\n",
       "  'teaName': '沈宵',\n",
       "  'sex': 1,\n",
       "  'phone': '18349222383',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_shenxiao',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3284196023',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_shenxiao',\n",
       "  'wxPhone': '18349222383',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3935,\n",
       "    'departId': 472,\n",
       "    'teaId': 870,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 872,\n",
       "  'teaName': '刘俊怡',\n",
       "  'sex': 2,\n",
       "  'phone': '18223771976',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'yw_liujunyi',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2474570522',\n",
       "  'openid': None,\n",
       "  'teaNo': 'yw_liujunyi',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 7,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3732,\n",
       "    'departId': 462,\n",
       "    'teaId': 872,\n",
       "    'teamId': 19,\n",
       "    'jobId': 377,\n",
       "    'departName': '语文',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 879,\n",
       "  'teaName': '郭艺',\n",
       "  'sex': 1,\n",
       "  'phone': '18280128708',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_guoyi',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2474677418',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_guoyi',\n",
       "  'wxPhone': '18280128708',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3938,\n",
       "    'departId': 472,\n",
       "    'teaId': 879,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 880,\n",
       "  'teaName': '谢豪东',\n",
       "  'sex': 1,\n",
       "  'phone': '13540182084',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_xiehaodong',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2474651578',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_xiehaodong',\n",
       "  'wxPhone': '13540182084',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 3937,\n",
       "    'departId': 472,\n",
       "    'teaId': 880,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 882,\n",
       "  'teaName': '张析羽',\n",
       "  'sex': 2,\n",
       "  'phone': '18908122034',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'sx_zhangxiyu',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2493551434',\n",
       "  'openid': None,\n",
       "  'teaNo': 'sx_zhangxiyu',\n",
       "  'wxPhone': '18908122034',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3917,\n",
       "    'departId': 463,\n",
       "    'teaId': 882,\n",
       "    'teamId': 19,\n",
       "    'jobId': 379,\n",
       "    'departName': '数学',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 884,\n",
       "  'teaName': '杨蕊嘉',\n",
       "  'sex': 2,\n",
       "  'phone': '15681953005',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ls_yangruijia',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2476428314',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ls_yangruijia',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3923,\n",
       "    'departId': 469,\n",
       "    'teaId': 884,\n",
       "    'teamId': 19,\n",
       "    'jobId': 391,\n",
       "    'departName': '历史',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 885,\n",
       "  'teaName': '王佳玉',\n",
       "  'sex': 2,\n",
       "  'phone': '19940899798',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'wl_wangjiayu',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3172762183',\n",
       "  'openid': None,\n",
       "  'teaNo': 'wl_wangjiayu',\n",
       "  'wxPhone': '19940899798',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3921,\n",
       "    'departId': 465,\n",
       "    'teaId': 885,\n",
       "    'teamId': 19,\n",
       "    'jobId': 383,\n",
       "    'departName': '物理',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 887,\n",
       "  'teaName': '彭靖雯',\n",
       "  'sex': 2,\n",
       "  'phone': '18281556925',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'wl_pengjingwen',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2493897322',\n",
       "  'openid': None,\n",
       "  'teaNo': 'wl_pengjingwen',\n",
       "  'wxPhone': '18281556925',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 3922,\n",
       "    'departId': 465,\n",
       "    'teaId': 887,\n",
       "    'teamId': 19,\n",
       "    'jobId': 383,\n",
       "    'departName': '物理',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 890,\n",
       "  'teaName': '吴程',\n",
       "  'sex': 1,\n",
       "  'phone': '17830822620',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_wucheng',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3172239447',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_wucheng',\n",
       "  'wxPhone': '17830822620',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师,考勤组',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4074,\n",
       "    'departId': 472,\n",
       "    'teaId': 890,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 894,\n",
       "  'teaName': '张星',\n",
       "  'sex': 2,\n",
       "  'phone': '19961261846',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'yw_zhangxing',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2418481223',\n",
       "  'openid': None,\n",
       "  'teaNo': 'yw_zhangxing',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3913,\n",
       "    'departId': 462,\n",
       "    'teaId': 894,\n",
       "    'teamId': 19,\n",
       "    'jobId': 377,\n",
       "    'departName': '语文',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 895,\n",
       "  'teaName': '靳雨馨',\n",
       "  'sex': 2,\n",
       "  'phone': '17360571629',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'df_jinyuxin',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2402552295',\n",
       "  'openid': None,\n",
       "  'teaNo': 'df_jinyuxin',\n",
       "  'wxPhone': '17360571629',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 7,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3819,\n",
       "    'departId': 468,\n",
       "    'teaId': 895,\n",
       "    'teamId': 19,\n",
       "    'jobId': 389,\n",
       "    'departName': '道法',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 896,\n",
       "  'teaName': '曾梓馨',\n",
       "  'sex': 1,\n",
       "  'phone': '18982703906',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'dl_zengzixin',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2493653162',\n",
       "  'openid': None,\n",
       "  'teaNo': 'dl_zengzixin',\n",
       "  'wxPhone': '18982703906',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3927,\n",
       "    'departId': 470,\n",
       "    'teaId': 896,\n",
       "    'teamId': 19,\n",
       "    'jobId': 393,\n",
       "    'departName': '地理',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 897,\n",
       "  'teaName': '严玲',\n",
       "  'sex': 2,\n",
       "  'phone': '18513026077',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'sx_yanlin',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0322596812',\n",
       "  'openid': None,\n",
       "  'teaNo': 'sx_yanlin',\n",
       "  'wxPhone': '18749306004',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3918,\n",
       "    'departId': 463,\n",
       "    'teaId': 897,\n",
       "    'teamId': 19,\n",
       "    'jobId': 379,\n",
       "    'departName': '数学',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 899,\n",
       "  'teaName': '白欣洁',\n",
       "  'sex': 2,\n",
       "  'phone': '18180699264',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'yy_baixinjie',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0322302956',\n",
       "  'openid': None,\n",
       "  'teaNo': 'yy_baixinjie',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3919,\n",
       "    'departId': 464,\n",
       "    'teaId': 899,\n",
       "    'teamId': 19,\n",
       "    'jobId': 381,\n",
       "    'departName': '英语',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 902,\n",
       "  'teaName': '袁钰婷',\n",
       "  'sex': 2,\n",
       "  'phone': '15298251700',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'sw_yuanyuting',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3272959943',\n",
       "  'openid': None,\n",
       "  'teaNo': 'sw_yuanyuting',\n",
       "  'wxPhone': '15298251700',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师,考勤组',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4072,\n",
       "    'departId': 467,\n",
       "    'teaId': 902,\n",
       "    'teamId': 19,\n",
       "    'jobId': 387,\n",
       "    'departName': '生物',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 903,\n",
       "  'teaName': '赵留宣',\n",
       "  'sex': 2,\n",
       "  'phone': '15928499806',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'yy_zhaoliuxuan',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3284151959',\n",
       "  'openid': None,\n",
       "  'teaNo': 'yy_zhaoliuxuan',\n",
       "  'wxPhone': '15928499806',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 4067,\n",
       "    'departId': 464,\n",
       "    'teaId': 903,\n",
       "    'teamId': 19,\n",
       "    'jobId': 381,\n",
       "    'departName': '英语',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 905,\n",
       "  'teaName': '胡馨月',\n",
       "  'sex': 2,\n",
       "  'phone': '15281740094',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ls_huxiyue',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '1673849882',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ls_huxiyue',\n",
       "  'wxPhone': '15281740094',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3924,\n",
       "    'departId': 469,\n",
       "    'teaId': 905,\n",
       "    'teamId': 19,\n",
       "    'jobId': 391,\n",
       "    'departName': '历史',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 906,\n",
       "  'teaName': '赵梓辰',\n",
       "  'sex': 1,\n",
       "  'phone': '19180488680',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_zhaozichen',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3165858087',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_zhaozichen',\n",
       "  'wxPhone': '19180488680',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3929,\n",
       "    'departId': 472,\n",
       "    'teaId': 906,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 924,\n",
       "  'teaName': '金芯蝶',\n",
       "  'sex': 2,\n",
       "  'phone': '15928869926',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_jinxindie',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3165320743',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_jinxindie',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3941,\n",
       "    'departId': 472,\n",
       "    'teaId': 924,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 925,\n",
       "  'teaName': '高佳瀚',\n",
       "  'sex': 1,\n",
       "  'phone': '19511879449',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_gaojiahan',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3172984583',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_gaojiahan',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 8,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3940,\n",
       "    'departId': 472,\n",
       "    'teaId': 925,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 931,\n",
       "  'teaName': '谢尊硕',\n",
       "  'sex': 1,\n",
       "  'phone': '13326353582',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': None,\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0294957228',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_xiezunshuo',\n",
       "  'wxPhone': '13326353582',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3930,\n",
       "    'departId': 472,\n",
       "    'teaId': 931,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 0},\n",
       " {'id': 932,\n",
       "  'teaName': '晋兆寅',\n",
       "  'sex': 1,\n",
       "  'phone': '13568840024',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': None,\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2955532983',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_jinzhaoyin',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 3947,\n",
       "    'departId': 472,\n",
       "    'teaId': 932,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 0},\n",
       " {'id': 933,\n",
       "  'teaName': '邓佳琪',\n",
       "  'sex': 1,\n",
       "  'phone': '17602879158',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': None,\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0296184812',\n",
       "  'openid': None,\n",
       "  'teaNo': 'sx_dengjiaqi',\n",
       "  'wxPhone': '17602879158',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 3946,\n",
       "    'departId': 463,\n",
       "    'teaId': 933,\n",
       "    'teamId': 19,\n",
       "    'jobId': 379,\n",
       "    'departName': '数学',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 0},\n",
       " {'id': 934,\n",
       "  'teaName': '罗阳杰',\n",
       "  'sex': 1,\n",
       "  'phone': '13508183538',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ty_luoyangjie',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0342911276',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ty_luoyangjie',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师,考勤组',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 4075,\n",
       "    'departId': 472,\n",
       "    'teaId': 934,\n",
       "    'teamId': 19,\n",
       "    'jobId': 397,\n",
       "    'departName': '体育',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 949,\n",
       "  'teaName': '马若晨',\n",
       "  'sex': 1,\n",
       "  'phone': '17311095196',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': None,\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0342385196',\n",
       "  'openid': None,\n",
       "  'teaNo': 'wl_maruochen',\n",
       "  'wxPhone': None,\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '男',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 3983,\n",
       "    'departId': 465,\n",
       "    'teaId': 949,\n",
       "    'teamId': 19,\n",
       "    'jobId': 383,\n",
       "    'departName': '物理',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 0},\n",
       " {'id': 950,\n",
       "  'teaName': '方萍',\n",
       "  'sex': 2,\n",
       "  'phone': '19082454015',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'hx_fangping',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '2483714954',\n",
       "  'openid': None,\n",
       "  'teaNo': 'hx_fangping',\n",
       "  'wxPhone': '13548151500',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '在编',\n",
       "  'hireId': 7,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 3984,\n",
       "    'departId': 466,\n",
       "    'teaId': 950,\n",
       "    'teamId': 19,\n",
       "    'jobId': 385,\n",
       "    'departName': '化学',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1026,\n",
       "  'teaName': '许悦',\n",
       "  'sex': 2,\n",
       "  'phone': '19882483867',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'ls_xuyue',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0342443484',\n",
       "  'openid': None,\n",
       "  'teaNo': 'ls_xuyue',\n",
       "  'wxPhone': '19882483867',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4060,\n",
       "    'departId': 469,\n",
       "    'teaId': 1026,\n",
       "    'teamId': 19,\n",
       "    'jobId': 391,\n",
       "    'departName': '历史',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1027,\n",
       "  'teaName': '李慧琳',\n",
       "  'sex': 2,\n",
       "  'phone': '15884630344',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'wl_lihuilin',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0295518476',\n",
       "  'openid': None,\n",
       "  'teaNo': 'wl_lihuilin',\n",
       "  'wxPhone': '15884630344',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4061,\n",
       "    'departId': 465,\n",
       "    'teaId': 1027,\n",
       "    'teamId': 19,\n",
       "    'jobId': 383,\n",
       "    'departName': '物理',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1029,\n",
       "  'teaName': '桂金莎',\n",
       "  'sex': 2,\n",
       "  'phone': '18148177143',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'yw_guijinsha',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0327218012',\n",
       "  'openid': None,\n",
       "  'teaNo': 'yw_guijinsha',\n",
       "  'wxPhone': '18148177143',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4063,\n",
       "    'departId': 462,\n",
       "    'teaId': 1029,\n",
       "    'teamId': 19,\n",
       "    'jobId': 377,\n",
       "    'departName': '语文',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1030,\n",
       "  'teaName': '何纹钡',\n",
       "  'sex': 2,\n",
       "  'phone': '18398262344',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'df_hewenbei',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0424117420',\n",
       "  'openid': None,\n",
       "  'teaNo': 'df_hewenbei',\n",
       "  'wxPhone': '18398262344',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4065,\n",
       "    'departId': 468,\n",
       "    'teaId': 1030,\n",
       "    'teamId': 19,\n",
       "    'jobId': 389,\n",
       "    'departName': '道法',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1031,\n",
       "  'teaName': '王菊',\n",
       "  'sex': 2,\n",
       "  'phone': '15882683372',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'df_wangju',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '0327569276',\n",
       "  'openid': None,\n",
       "  'teaNo': 'df_wangju',\n",
       "  'wxPhone': '15882683372',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师,考勤组',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 4070,\n",
       "    'departId': 468,\n",
       "    'teaId': 1031,\n",
       "    'teamId': 19,\n",
       "    'jobId': 389,\n",
       "    'departName': '道法',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1032,\n",
       "  'teaName': '邓洁',\n",
       "  'sex': 2,\n",
       "  'phone': '17788593400',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'sw_dengjie',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '3283426471',\n",
       "  'openid': None,\n",
       "  'teaNo': 'sw_dengjie',\n",
       "  'wxPhone': '17788593400',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师,考勤组',\n",
       "  'classTypeName': None,\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': None,\n",
       "  'departmentManagementDtoList': [{'id': 4073,\n",
       "    'departId': 467,\n",
       "    'teaId': 1032,\n",
       "    'teamId': 19,\n",
       "    'jobId': 387,\n",
       "    'departName': '生物',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1},\n",
       " {'id': 1033,\n",
       "  'teaName': '陈懿',\n",
       "  'sex': 2,\n",
       "  'phone': '13689079117',\n",
       "  'type': 4,\n",
       "  'gradeId': None,\n",
       "  'classId': None,\n",
       "  'userName': 'dl_chenyi',\n",
       "  'teamId': 19,\n",
       "  'pid': None,\n",
       "  'serialNo': '1676472250',\n",
       "  'openid': None,\n",
       "  'teaNo': 'dl_chenyi',\n",
       "  'wxPhone': '13689079117',\n",
       "  'userId': None,\n",
       "  'departmentId': None,\n",
       "  'ztTeacherUuid': None,\n",
       "  'hire': '校聘',\n",
       "  'hireId': 6,\n",
       "  'power': '任课老师,考勤组',\n",
       "  'classTypeName': '',\n",
       "  'departs': None,\n",
       "  'jobs': None,\n",
       "  'teamName': '成都市泡桐树中学',\n",
       "  'gradeName': None,\n",
       "  'className': None,\n",
       "  'sexName': '女',\n",
       "  'typeName': '普通教师',\n",
       "  'groupId': None,\n",
       "  'culumName': '',\n",
       "  'departmentManagementDtoList': [{'id': 4071,\n",
       "    'departId': 470,\n",
       "    'teaId': 1033,\n",
       "    'teamId': 19,\n",
       "    'jobId': 393,\n",
       "    'departName': '地理',\n",
       "    'jobName': '教师'}],\n",
       "  'accountType': 1}]"
      ]
     },
     "execution_count": 16,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "teaList"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "3fa78e11",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<Response [200]>"
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "post(f\"https://band.hxzhxy.cn/card/addRule?access_token={token}\",json={\"teamId\":119,\"groupName\":\"学生规则\",\"type\":\"\",\"sunTimeOne\":\"07:00-20:20\",\"sunTimeTwo\":\"07:00-20:20\",\"sunTimeThree\":\"07:00-20:20\",\"monTimeOne\":\"07:00-20:20\",\"monTimeTwo\":\"07:00-20:20\",\"monTimeThree\":\"07:00-20:20\",\"tueTimeOne\":\"07:00-20:20\",\"tueTimeTwo\":\"07:00-20:20\",\"tueTimeThree\":\"07:00-20:20\",\"wedTimeOne\":\"07:00-20:20\",\"wedTimeTwo\":\"07:00-20:20\",\"wedTimeThree\":\"07:00-20:20\",\"thuTimeOne\":\"07:00-20:20\",\"thuTimeTwo\":\"07:00-20:20\",\"thuTimeThree\":\"07:00-20:20\",\"friTimeOne\":\"07:00-20:20\",\"friTimeTwo\":\"07:00-20:20\",\"friTimeThree\":\"07:00-20:20\",\"satTimeOne\":\"07:00-20:20\",\"satTimeTwo\":\"07:00-20:20\",\"satTimeThree\":\"07:00-20:20\"})"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "base",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.4"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
